
Figure - Bug #112130
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】声音- 勿扰模式-时间表，点击具体时间表后面的配置按钮之后会闪退回主界面
2022-09-26 11:31 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-26

Priority: High Due date: 2022-09-29

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

Reproducibility: Every time Fixed Version: 2022-09-27

Test Type: IT Root cause: 编码问题

Description

【前提条件】

设备已开机

【测试步骤】

1、进入设置 声音 勿扰模式-时间表

2、点击具体时间表后面的配置按钮

【预期结果】

2、进入该时间表的配置模式

【实际结果】

2、点击之后闪退回到主界面

【复现率】

必现

History

#1 - 2022-09-26 11:37 - CD TEST-方永红

- File 勿扰-时间表-设置闪退 added

#2 - 2022-09-26 13:38 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD AF-陈羽杰

#3 - 2022-09-26 16:14 - CD TEST-方永红

- Found Version changed from FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220924.alpha_0019 to

FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

#4 - 2022-09-26 17:47 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#5 - 2022-09-27 10:26 - CD TEST-方永红

- Priority changed from Normal to High

#6 - 2022-09-27 17:55 - CD AF-陈羽杰

- % Done changed from 0 to 60
- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

已定位到问题

■ My analysis

修改双屏显示时，由于忽略了原生Intent所带数据，导致目标页面报空指针异常。

■ Next action 

本地修复验证

#7 - 2022-09-27 18:02 - CD AF-陈羽杰

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 60 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-09-27

■ Current conclusion

本地已经验证

■ My analysis

修改双屏显示时，由于忽略了原生Intent所带数据，导致目标页面报空指针异常。

■ submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152114

#8 - 2022-09-27 20:06 - CDTS_TEST 王成

- Severity changed from Normal to Critical

#9 - 2022-09-27 20:28 - CD FW-王伟

- Status changed from ASSIGNED to RESOLVED

#10 - 2022-09-28 14:14 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

#11 - 2022-09-28 14:15 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

时间表.png 153 KB 2022-09-26 CD TEST-方永红

勿扰-时间表-设置闪退 10.7 KB 2022-09-26 CD TEST-方永红
